Index: tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at
===================================================================
--- tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision 220cf64c6ebf68c0e5bed116415d5287df404a6a)
+++ tests/regression/Domain/RepeatBox/testsuite-domain-repeat-box.at	(revision c8b17b55097e09730f211d414d01a4b65d6e8a5b)
@@ -6,4 +6,5 @@
 file=test.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 1"], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -14,4 +15,5 @@
 file=test-x.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file -o xyz -d "2, 1, 1"], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -22,4 +24,5 @@
 file=test-y.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 2, 1"], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -30,4 +33,5 @@
 file=test-z.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 2"], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -45,4 +49,5 @@
 file=test.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 1" --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -53,4 +58,5 @@
 file=test-x.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file -o xyz -d "2, 1, 1" --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -61,4 +67,5 @@
 file=test-y.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 2, 1" --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -69,4 +76,5 @@
 file=test-z.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 2" --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -84,4 +92,5 @@
 file=test.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 1" --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -92,4 +101,5 @@
 file=test-x.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file -o xyz -d "2, 1, 1" --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -100,4 +110,5 @@
 file=test-y.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 2, 1" --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
@@ -108,4 +119,5 @@
 file=test-z.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Domain/RepeatBox/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -o xyz -d "1, 1, 2" --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "Box domain is now" stdout], 0, [ignore], [ignore])
Index: tests/regression/Filling/FillWithMolecule/testsuite-fill-with-molecule.at
===================================================================
--- tests/regression/Filling/FillWithMolecule/testsuite-fill-with-molecule.at	(revision 220cf64c6ebf68c0e5bed116415d5287df404a6a)
+++ tests/regression/Filling/FillWithMolecule/testsuite-fill-with-molecule.at	(revision c8b17b55097e09730f211d414d01a4b65d6e8a5b)
@@ -24,4 +24,5 @@
 file=empty.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillWithMolecule/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_DATA([water.xyz], [[3
  # test configuration, created by molecuilder test suite
@@ -42,4 +43,5 @@
 file=test.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Filling/FillWithMolecule/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_DATA([water.xyz], [[3
  # test configuration, created by molecuilder test suite
Index: tests/regression/Fragmentation/FragmentMolecule-MaxOrder/testsuite-fragmentation-fragment-molecule-maxorder.at
===================================================================
--- tests/regression/Fragmentation/FragmentMolecule-MaxOrder/testsuite-fragmentation-fragment-molecule-maxorder.at	(revision 220cf64c6ebf68c0e5bed116415d5287df404a6a)
+++ tests/regression/Fragmentation/FragmentMolecule-MaxOrder/testsuite-fragmentation-fragment-molecule-maxorder.at	(revision c8b17b55097e09730f211d414d01a4b65d6e8a5b)
@@ -7,4 +7,5 @@
 file=test.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/FragmentMolecule-MaxOrder/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -v 1 --select-molecule-by-id 0 -f ./BondFragment --distance 1.55 --order 2], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -v 1 --select-molecule-by-id 0 -f ./BondFragment --distance 1.55 --order 2], 2, [ignore], [ignore])
Index: tests/regression/Fragmentation/FragmentMolecule/testsuite-fragmentation-fragment-molecule.at
===================================================================
--- tests/regression/Fragmentation/FragmentMolecule/testsuite-fragmentation-fragment-molecule.at	(revision 220cf64c6ebf68c0e5bed116415d5287df404a6a)
+++ tests/regression/Fragmentation/FragmentMolecule/testsuite-fragmentation-fragment-molecule.at	(revision c8b17b55097e09730f211d414d01a4b65d6e8a5b)
@@ -6,4 +6,5 @@
 file=test.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Fragmentation/FragmentMolecule/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -v 1 -I --select-molecule-by-id 0 -f ./BondFragment --distance 1.55 --order 2], 0, [ignore], [ignore])
 #AT_CHECK([diff BondFragment0.conf ${abs_top_srcdir}/tests/regression/Fragmentation/FragmentMolecule/post/BondFragment0.conf], 0, [ignore], [ignore])
Index: tests/regression/Graph/DepthFirstSearch/testsuite-graph-depth-first-search.at
===================================================================
--- tests/regression/Graph/DepthFirstSearch/testsuite-graph-depth-first-search.at	(revision 220cf64c6ebf68c0e5bed116415d5287df404a6a)
+++ tests/regression/Graph/DepthFirstSearch/testsuite-graph-depth-first-search.at	(revision c8b17b55097e09730f211d414d01a4b65d6e8a5b)
@@ -6,4 +6,5 @@
 file=test.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/DepthFirstSearch/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file -v 3 --select-all-atoms --create-adjacency -D 2.], 0, [stdout], [stderr])
 AT_CHECK([fgrep -c "No rings were detected in the molecular structure." stdout], 0, [1
Index: tests/regression/Graph/SubgraphDissection/testsuite-graph-subgraph-dissection.at
===================================================================
--- tests/regression/Graph/SubgraphDissection/testsuite-graph-subgraph-dissection.at	(revision 220cf64c6ebf68c0e5bed116415d5287df404a6a)
+++ tests/regression/Graph/SubgraphDissection/testsuite-graph-subgraph-dissection.at	(revision c8b17b55097e09730f211d414d01a4b65d6e8a5b)
@@ -6,4 +6,5 @@
 file=test.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -v 3 -I], 0, [stdout], [stderr])
 AT_CHECK([fgrep "I scanned 31 molecules." stdout], 0, [ignore], [ignore])
@@ -17,4 +18,5 @@
 file=test.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -v 3 -I --undo], 0, [stdout], [stderr])
 AT_CHECK([fgrep "I scanned 31 molecules." stdout], 0, [ignore], [ignore])
@@ -28,4 +30,5 @@
 file=test.conf
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Graph/SubgraphDissection/pre/test.conf $file], 0)
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i $file  -v 3 -I --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([grep -c "I scanned 31 molecules." stdout], 0, [2
Index: tests/regression/Parser/Tremolo-SetAtomdata/testsuite-parser-tremolo-setatomdata.at
===================================================================
--- tests/regression/Parser/Tremolo-SetAtomdata/testsuite-parser-tremolo-setatomdata.at	(revision 220cf64c6ebf68c0e5bed116415d5287df404a6a)
+++ tests/regression/Parser/Tremolo-SetAtomdata/testsuite-parser-tremolo-setatomdata.at	(revision c8b17b55097e09730f211d414d01a4b65d6e8a5b)
@@ -6,4 +6,5 @@
 file=argon.data
 AT_CHECK([/bin/cp ${abs_top_srcdir}/tests/regression/Parser/Tremolo-SetAtomdata/pre/argon.data $file], 0, [ignore], [ignore])
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i argon.data --set-tremolo-atomdata "type x=3"], 0, [stdout], [ignore])
 AT_CHECK([file=argon.data; diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Tremolo-SetAtomdata/post/argon.data], 0, [ignore], [ignore])
